Bug 264 - Exception when referencing WCF in MonoDevelop that exposes System.Data.DataSet
Summary: Exception when referencing WCF in MonoDevelop that exposes System.Data.DataSet
Status: RESOLVED NORESPONSE
Alias: None
Product: Class Libraries
Classification: Mono
Component: WCF assemblies (show other bugs)
Version: 2.10.x
Hardware: Macintosh Mac OS
: --- minor
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2011-08-11 09:35 UTC by René Ruppert
Modified: 2018-03-13 11:04 UTC (History)
4 users (show)

Tags: WCF, Service Reference
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED NORESPONSE

Description René Ruppert 2011-08-11 09:35:31 UTC
When referencing our test WCF service (MT project) I get this error in MonoDevelop (2.4 and 2.6). We are exposing System.Data.DataSet and it seems to dislike that. Is it a known issue with MonoDevelop? Is there a workaround? I can reference the same service in Studio 2008 just fine.

    Only local element is allowed as the content of the sequence of the top-level content of a complex type 'http://tempuri.org/:GetDataResult'. Other particles (sequence, choice, all, any, group ref) are not supported.

System.Runtime.Serialization.InvalidDataContractException: Only local element is allowed as the content of the sequence of the top-level content of a complex type 'http://tempuri.org/:GetDataResult'. Other particles (sequence, choice, all, any, group ref) are not supported.
  at System.Runtime.Serialization.XsdDataContractImporter.ImportComplexType (System.CodeDom.CodeTypeDeclaration td, System.Xml.Schema.XmlSchemaSet schemas, System.Xml.Schema.XmlSchemaComplexType type, System.Xml.XmlQualifiedName qname) [0x00000] in <filename unknown>:0 
  at System.Runtime.Serialization.XsdDataContractImporter.DoImport (System.Xml.Schema.XmlSchemaSet schemas, System.Xml.Schema.XmlSchemaType type, System.Xml.XmlQualifiedName qname) [0x00000] in <filename unknown>:0 
  at System.Runtime.Serialization.XsdDataContractImporter.Import (System.Xml.Schema.XmlSchemaSet schemas, System.Xml.Schema.XmlSchemaType type, System.Xml.XmlQualifiedName qname) [0x00000] in <filename unknown>:0 
  at System.Runtime.Serialization.XsdDataContractImporter.Import (System.Xml.Schema.XmlSchemaSet schemas, System.Xml.Schema.XmlSchemaElement element) [0x00000] in <filename unknown>:0 
  at System.ServiceModel.Description.DataContractSerializerMessageContractImporter.CreateMessagePart (System.Xml.Schema.XmlSchemaElement elem) [0x00000] in <filename unknown>:0 
  at System.ServiceModel.Description.DataContractSerializerMessageContractImporter.ImportPartsBySchemaElement (System.Xml.XmlQualifiedName qname, System.Collections.Generic.List`1 parts, System.String ns) [0x00000] in <filename unknown>:0 
  at System.ServiceModel.Description.DataContractSerializerMessageContractImporter.resolveMessage (System.Web.Services.Description.Message msg, System.ServiceModel.Description.MessageBodyDescription body, System.Collections.Generic.List`1 parts) [0x00000] in <filename unknown>:0 
  at System.ServiceModel.Description.DataContractSerializerMessageContractImporter.DoImportContract () [0x00000] in <filename unknown>:0 
  at System.ServiceModel.Description.DataContractSerializerMessageContractImporter.System.ServiceModel.Description.IWsdlImportExtension.ImportContract (System.ServiceModel.Description.WsdlImporter importer, System.ServiceModel.Description.WsdlContractConversionContext context) [0x00000] in <filename unknown>:0 
  at System.ServiceModel.Description.WsdlImporter.ImportContract (System.Web.Services.Description.PortType wsdlPortType) [0x00000] in <filename unknown>:0 
  at System.ServiceModel.Description.WsdlImporter.ImportAllContracts () [0x00000] in <filename unknown>:0 
  at MonoDevelop.WebReferences.WCF.WebServiceDiscoveryResultWCF.CreateProxyFile (MonoDevelop.Projects.DotNetProject dotNetProject, FilePath basePath, System.String proxyNamespace, System.String referenceName) [0x0014d] in /Users/michael/Mono/md-2-5-90/main/src/addins/MonoDevelop.WebReferences/MonoDevelop.WebReferences.WCF/WebServiceDiscoveryResultWCF.cs:176 
  at MonoDevelop.WebReferences.WebServiceDiscoveryResult.GenerateFiles (MonoDevelop.Projects.DotNetProject project, System.String namspace, System.String referenceName) [0x0008b] in /Users/michael/Mono/md-2-5-90/main/src/addins/MonoDevelop.WebReferences/MonoDevelop.WebReferences/WebServiceDiscoveryResult.cs:89 
  at MonoDevelop.WebReferences.Commands.WebReferenceCommandHandler.NewWebReference () [0x000b8] in /Users/michael/Mono/md-2-5-90/main/src/addins/MonoDevelop.WebReferences/MonoDevelop.WebReferences.Commands/WebReferenceCommandHandler.cs:43
Comment 1 Miguel de Icaza [MSFT] 2011-08-23 09:46:03 UTC
Please provide a test project, with a test contract that we can use to reproduce.

This is a problem with Mono's limited WCF implementation, which is still an Alpha feature.

Please reopen when you have both the server side and client side projects attached.
Comment 2 Marek Safar 2018-03-13 11:04:49 UTC
We have not received the requested information. If you are still experiencing this issue please provide all the requested information and reopen the bug report.

Thank you!